libguestfs
source package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/libguestfs

general

source
libguestfs (source, libs)
version
1:1.34.6-2
maint
Debian Libvirt Maintainers (a), Richard Jones (u), Guido Günther (u), Hilko Bengen (u)
arch
linux-any all
std-ver
3.9.8
VCS
Git (browse)

todo

problems

  • The package is severely out of date with respect to the Debian Policy. Latest version is 4.0.0 and your package only follows 3.9.8...
  • There were override disparities found in suite unstable:
    • libguestfs-java: Override says java - optional, .deb says java - extra
    • libguestfs-rsync: Override says libs - optional, .deb says libs - extra
    • gir1.2-guestfs-1.0: Override says introspection - optional, .deb says introspection - extra
    • libguestfs-hfsplus: Override says libs - optional, .deb says libs - extra
    • guestfsd: Override says libs - optional, .deb says libs - extra
    • lua-guestfs: Override says libs - optional, .deb says libs - extra
    • libguestfs-tools: Override says admin - optional, .deb says admin - extra
    • libguestfs-ocaml-dev: Override says ocaml - optional, .deb says ocaml - extra
    • ruby-guestfs: Override says ruby - optional, .deb says ruby - extra
    • libguestfs-gobject-dev: Override says libdevel - optional, .deb says libdevel - extra
    • php-guestfs: Override says php - optional, .deb says php - extra
    • libguestfs-gobject-1.0-0: Override says libs - optional, .deb says libs - extra
    • libguestfs-jfs: Override says libs - optional, .deb says libs - extra
    • golang-guestfs-dev: Override says libs - optional, .deb says devel - extra
    • libguestfs-zfs: Override says libs - optional, .deb says libs - extra
    • libguestfs0: Override says libs - optional, .deb says libs - extra
    • libguestfs-dev: Override says libdevel - optional, .deb says libdevel - extra
    • libguestfs-nilfs: Override says libs - optional, .deb says libs - extra
    • erlang-guestfs: Override says interpreters - optional, .deb says interpreters - extra
    • libguestfs0-dbg: Override says debug - optional, .deb says debug - extra
    • libguestfs-perl: Override says perl - optional, .deb says perl - extra
    • python-guestfs: Override says python - optional, .deb says python - extra
    • libguestfs-xfs: Override says libs - optional, .deb says libs - extra
    • python3-guestfs: Override says python - optional, .deb says python - extra
    • libguestfs-rescue: Override says libs - optional, .deb says libs - extra
    • libguestfs-reiserfs: Override says libs - optional, .deb says libs - extra
    • libguestfs-ocaml: Override says ocaml - optional, .deb says ocaml - extra
    • libguestfs-gfs2: Override says libs - optional, .deb says libs - extra
  • The package has a debian/watch file, but the last attempt to use it for checking for newer upstream versions failed with an error:

autoremoval from testing

  • Version 1:1.34.6-2 of libguestfs is marked for autoremoval from testing on 2017-08-04.
  • It is affected by RC bug #865398.
  • The removal of libguestfs will also cause the removal of (transitive) reverse dependencies: lava-dispatcher lava-server nbdkit oz
  • You should try to prevent the removal from testing by fixing these bugs.

testing migration

  • This package will soon be part of the perl5.26 transition. You might want to ensure that your package is ready for it. You can probably find supplementary information in the debian-release archives or in the corresponding release.debian.org bug.
  • This package is part of the ongoing testing transition known as python3.6-supported. Please avoid uploads unrelated to this transition, they would likely delay it and require supplementary work from the release managers. On the other hand, if your package has problems preventing it to migrate to testing, please fix them as soon as possible. You can probably find supplementary information in the debian-release archives or in the corresponding release.debian.org bug.

news RSS

bugs

all bug history graph
17 (18)
RC
1
I&N
11 (12)
M&W
5
F&P
0
Ubu
12